﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface IActivityService
    {
        Task<ServiceResult<bool>> AttendVirtualClass(int activityId, int userId);
        Task<ServiceResult<List<ActivityDto>>> GetAll(int courseId);
        Task<ServiceResult<int>> Create(ActivityCreateDto newActivity, int userId);
        Task<ServiceResult<int>> Modify(int activityId, ActivityModifyDto activityDto, int userId);
        Task<ServiceResult<int>> Delete(int activityId, int userId);

        Task<ServiceResult<int>> ActivityValidation(int activityId);
        Task<ServiceResult<GradeDto>> AddOrModifyGrade(GradeDto gradeDto, int userId);
        Task<ServiceResult<int>> DeleteGrade(int myUserId, int activityId, int userId);
        Task<ServiceResult<List<GradeDto>>> GetMyGrades(int activityId, int userId);
        Task<ServiceResult<List<GradeDto>>> GetAllGrades(int activityId, int userId);
    }
}
