﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Text;
using Tsi1.DataLayer.Entities;

namespace Tsi1.DataLayer.EntityConfiguration
{
    public class GradeConfiguration : IEntityTypeConfiguration<Grade>
    {
        public void Configure(EntityTypeBuilder<Grade> builder)
        {
            builder.HasKey(x => new { x.ActivityId, x.StudentId});

            builder.Property(x => x.Value)
                .IsRequired()
                .HasColumnType("NUMERIC(5,2)");

            builder.HasOne(x => x.Activity)
                .WithMany(x => x.Grades)
                .HasForeignKey(x => x.ActivityId);

            builder.HasOne(x => x.Student)
                .WithMany(x => x.Grades)
                .HasForeignKey(x => x.StudentId);
        }
    }
}
